Bug 498190 - unable to clone tagged VLAN interface for use with macvlan driver
unable to clone tagged VLAN interface for use with macvlan driver
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-04-29 07:59 EDT by Nenad Opsenica
Modified: 2010-05-07 11:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 04:22:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nenad Opsenica 2009-04-29 07:59:44 EDT
Description of problem:
It is not possible to make clone of tagged VLAN interface to be used as mac-based vlan interfave.

Version-Release number of selected component (if applicable):
FC10 rebuild kernel,

How reproducible:

Steps to Reproduce:
Use any 802.1q tagged vlan interface, e.g. eth2.700 and clone it:

  ip link add link eth2.700 address 00:04:75:cb:38:09 macvlan0 type macvlan
  ip link set dev macvlan0 up
  ip addr add dev macvlan0

So far, so good. Now try to ping anything via macvlan0:


Actual results:
For every attempted packet tx kernel writes to console:

------------[ cut here ]------------
WARNING: at net/8021q/vlan_dev.c:256 vlan_dev_hard_header+0x3c/0x103 [8021q]() (Tainted: G        W)
Hardware name: MS-7047
Modules linked in: ipv6 macvlan 8021q garp stp dummy ext2 dm_multipath wmi video output rfkill input_polldev sbs sbshc pci_slot parport_pc lp parport serio_raw i2c_viapro i2c_core via_velocity 3c59x mii pcspkr jffs2 mtdblock mtd_blkdevs block2mtd mtd sata_via sata_uli sata_sis sata_sil sata_nv sata_mv ata_generic pata_acpi pata_via pata_sis pata_mpiix pata_marvell pata_jmicron pata_cs5536 pata_cs5535 pata_cs5530 pata_cs5520 pata_atiixp pata_amd pata_ali crc_ccitt crc16 zlib_deflate
Pid: 8284, comm: arping Tainted: G        W #1
 [<c042ec28>] warn_on_slowpath+0x65/0x86
 [<c06a29fd>] ? schedule+0x634/0x644
 [<c0472a06>] ? PageTail+0xf/0x11
 [<c06a2cd3>] ? schedule_timeout+0x16/0x8b
 [<c046e92a>] ? trace_hardirqs_on+0x8/0x1c
 [<c046e92a>] ? trace_hardirqs_on+0x8/0x1c
 [<c06275c0>] ? alloc_skb+0xc/0xe
 [<c062acac>] ? __alloc_skb+0x4f/0xfd
 [<e09dc407>] ? vlan_dev_hard_header+0x0/0x103 [8021q]
 [<e09dc443>] vlan_dev_hard_header+0x3c/0x103 [8021q]
 [<e09dc407>] ? vlan_dev_hard_header+0x0/0x103 [8021q]
 [<e09c309c>] macvlan_hard_header+0x3c/0x4b [macvlan]
 [<e09c3060>] ? macvlan_hard_header+0x0/0x4b [macvlan]
 [<c068fd50>] packet_sendmsg+0x164/0x1fb
 [<c062525c>] __sock_sendmsg+0x45/0x4e
 [<c06259b9>] sock_sendmsg+0xb8/0xce
 [<c043f8e4>] ? autoremove_wake_function+0x0/0x33
 [<c047adbd>] ? page_address+0x15/0x7c
 [<c046e71c>] ? trace_hardirqs_off+0x8/0x1c
 [<c048e3fc>] ? kmem_cache_free+0x89/0xa4
 [<c0403e40>] ? setup_sigcontext+0xfa/0x169
 [<c0437d5b>] ? __sigqueue_free+0x2f/0x32
 [<c051eebd>] ? __copy_from_user_ll+0x11/0xce
 [<c062619a>] ? move_addr_to_kernel+0x39/0x41
 [<c0626246>] sys_sendto+0xa4/0xc0
 [<c0437b73>] ? freezing+0xd/0xf
 [<c046e92a>] ? trace_hardirqs_on+0x8/0x1c
 [<c0404646>] ? do_notify_resume+0x5e0/0x66b
 [<c06269a2>] sys_socketcall+0xf7/0x19e
 [<c0404c8e>] syscall_call+0x7/0xb
---[ end trace 12ac929e834e0df1 ]---
Comment 1 Chuck Ebbert 2009-04-30 10:17:39 EDT
Line 256:
        if (WARN_ON(skb_headroom(skb) < dev->hard_header_len))

Please try kernel from the updates-testing repository.
Comment 2 Bug Zapper 2009-11-18 05:00:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-12-18 04:22:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Nenad Opsenica 2010-05-07 11:31:14 EDT
As of kernel (fc11), this bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.